# Sign Readme

This folder contains a Java code sample showing how to use i-net Clear Reports certificate info factory to sign the created PDF documents with one or more certificates and an invisible signature and how to use visual signature with the default certificate info factory.

## SignatureSample.java

Shows how to create an engine with the security information saved in prompt fields and how to create and to use a custom certificate info factory for creating invisible signatures in the created PDF document.

[Click to open the sample file.](https://www.inetsoftware.de/documentation/clear-reports/latest/samples/reporting/sign/SignatureSample.java)

## CustomCertificateInfoFactory.java

Shows a possible implementation of the certificate info factory and shows how to make this factory active through RDC methods.

[Click to open the sample file.](https://www.inetsoftware.de/documentation/clear-reports/latest/samples/reporting/sign/CustomCertificateInfoFactory.java)

## VisibleSignatureSample.java

Shows how to create a visible signature form and to add some report elements to this form.

[Click to open the sample file.](https://www.inetsoftware.de/documentation/clear-reports/latest/samples/reporting/sign/VisibleSignatureSample.java)

